Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#7027 - Copy and paste from Geany (editor) to Open Office crashes OOo

Attached to Project: Arch Linux
Opened by Bjoern Janssen (Captain_Spaulding) - Sunday, 29 April 2007, 20:14 GMT
Last edited by Jan de Groot (JGC) - Friday, 22 June 2007, 20:43 GMT
Task Type Bug Report
Category Packages: Current
Status Closed
Assigned To No-one
Architecture i686
Severity Medium
Priority Normal
Reported Version 0.8 Voodoo
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Whenever I try to copy text from Geany to Open Office I first get weird insertion dialog followed by a crash of OOo. If I first copy the text to another editor, e. g. GEdit, and then copy the text from there to OOo everything works fine. Note that I'm not saving the text in GEdit, I just copy it again. This happens regardless of the copy & paste method.

Please see this thread, too:
http://bbs.archlinux.org/viewtopic.php?pid=246879#p246879

Name : geany
Version : 0.10.2-1
URL : http://geany.uvena.de
Lizenz : GPL
Gruppen : Nichts
Stellt bereit : Nichts
Hängt ab von : gtk2 gcc
Entfernt : Nichts
Benötigt von : Nichts
Konflikt mit : Nichts
Installationsgröße : 3448,21 K
Packer : Phil <dtw.at.jiwe.org>
Architektur : i686
Erstellt am : Thu Mar 8 22:20:41 2007 UTC
Bauart : Unbekannt
Installiert am : Wed Mar 28 11:57:21 2007 UTC
Installationsgrund : Ausdrücklich installiert
Installations-Skript : Ja
Beschreibung : A fast and lightweight IDE

Name : openoffice-base
Version : 2.2.0-4
URL : http://www.openoffice.org
Lizenz : LGPL
Gruppen : Nichts
Stellt bereit : Nichts
Hängt ab von : ttf-dejavu curl desktop-file-utils fontconfig>=2.4
gtk2>=2.10.11 hunspell icu neon perl python>=2.5
libwpd xmlsec libsndfile startup-notification>=0.9
xalan-java libxaw libcups hsqldb-java
Entfernt : Nichts
Benötigt von : openoffice-de openoffice-spell-de
Konflikt mit : Nichts
Installationsgröße : 218510,44 K
Packer : Jan de Groot <jgc@archlinux.org>
Architektur : i686
Erstellt am : Mon Apr 23 19:19:59 2007 UTC
Bauart : Unbekannt
Installiert am : Tue Apr 24 16:47:34 2007 UTC
Installationsgrund : Installiert als Abhängigkeit für ein anderes Paket
Installations-Skript : Ja
Beschreibung : OpenOffice.org - a free multiplatform and multilingual office suite


This task depends upon

Closed by  Jan de Groot (JGC)
Friday, 22 June 2007, 20:43 GMT
Reason for closing:  Fixed
Additional comments about closing:  Can't reproduce with Openoffice 2.2.1-2 which is in testing now.
Comment by Roman Kyrylych (Romashka) - Monday, 30 April 2007, 08:06 GMT
Could you please try geany-svn from Unsupported?
Comment by Bjoern Janssen (Captain_Spaulding) - Monday, 30 April 2007, 08:59 GMT
I've compiled geany-svn and replaced my normal geany, same error.

Name : geany-svn
Version : 853-1
URL : http://geany.uvena.de
Lizenz : GPL
Gruppen : Nichts
Stellt bereit : geany
Hängt ab von : gtk2 libstdc++5
Entfernt : Nichts
Benötigt von : Nichts
Konflikt mit : geany
Installationsgröße : 3201,79 K
Packer : Arch Linux (http://www.archlinux.org)
Architektur : i686
Erstellt am : Mon Apr 30 08:50:38 2007 UTC
Bauart : Unbekannt
Installiert am : Mon Apr 30 09:01:39 2007 UTC
Installationsgrund : Ausdrücklich installiert
Installations-Skript : Nein
Beschreibung : A fast and lightweight IDE
Comment by Bjoern Janssen (Captain_Spaulding) - Monday, 30 April 2007, 09:04 GMT
Hmh, I just noticed that Geany-SVN regards itself as version 0.9 (r853). Another, maybe important, info may be that OOo does not crash anymore, it just pops up the insertion dialog and then has to be killed manually.
Comment by Scott H (stonecrest) - Sunday, 06 May 2007, 15:49 GMT

Loading...